Announcement

Collapse
No announcement yet.

Another can't load SQLite extension

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Another can't load SQLite extension

    Hi,

    I'm trying to load an extension into SQLite. I have seen the earlier post on this forum (https://community.navicat.com/forum/...load-extension) and followed the instructions there.

    My Navicat version is Navicat Premium Essentials V11.0.18.
    My version of OS X is 10.9.3.

    I have run the command

    defaults write ~/Library/Preferences/com.prect.NavicatPremiumEssentials.plist sqliteLoadExtension -bool YES

    as both the local user and as root. I have also tried the non Premium essentials version of the write command as described in the above forum post as well and have the same issue.

    Each time when I try to load an extension in Navicat I get "Not authorised". The commands I have tried are

    select load_extension('libspatialite');
    select load_extension('libspatialite.dylib');

    Both give the same error.

    My extension is in /usr/local/lib and is the spatialite.dylib extension as found here (https://www.gaia-gis.it/fossil/libspatialite/index)

    Any suggestions welcomed.

    Rob

  • #2
    Did you purchase Navicat from App Store?

    Comment


    • #3
      Yes I did purchase it from the App Store.

      Comment


      • #4
        For App Store version, please try to run the following command:

        defaults write ~/Library/Containers/com.prect.NavicatPremiumEssentials/Data/Library/Preferences/com.prect.NavicatPremiumEssentials.plist sqliteLoadExtension -bool YES

        Comment

        Working...
        X